-- Questa sp aggiorna il campo 'beneficio' della [PROMETEIA_AGGR] con il valore del nuovo indicatore dalla nuova tabella PROMETEIA_AGGR_IndDiv
CREATE procedure [C6StagingPeriodico].[RP_PROM_AGGIORNA_INDICATORE_DIVERSIFICAZIONE]
AS
BEGIN
-- ***********************************************   10/7/2018         **********************************************
--    BONIFICA DELLA TABELLA PER I VALORI NON CALCOLATI (Nan) TORNATI DAL SERVIZIO PER ALCUNI CF/PTF
--       NECESSARIA PER NON MANDARE IN ERRORE LA UPDATE
update a set indicatore = '0.0'
  FROM [C6StampeCentralizzate].[C6martPeriodico].[brsinddiv] a
  where 
  not indicatore like '%[0-9]%'
-- *********************************************  FINE BONIFICA ********************************************
	--aggiorna il beneficio per il COMPLESSIVO
--UPDATE aggr set aggr.beneficio = CAST(LEFT(inddiv.indicatore, CHARINDEX('.', inddiv.indicatore) - 1) + '.' + SUBSTRING(inddiv.indicatore,(CHARINDEX('.',inddiv.indicatore)+1),3) AS DECIMAL(12,3))
--con le replace sostituisco i caratteri speciali a fine testo che mandano in errore il cast quando l'indicatore è = 0.0 - CHAR(13) = cr, CHAR(10) = lf 
UPDATE aggr set aggr.beneficio =  CAST(inddiv.indicatore AS DECIMAL(12,3))
from  
[C6martPeriodico].[brsvarallaggr] aggr
inner join 
[C6martPeriodico].[brsinddiv] inddiv
on inddiv.rete = aggr.rete and inddiv.cod_fiscale = aggr.codicefiscale 
where aggr.portafoglio = 'COMPLESSIVO'
--aggiorna il beneficio per il COMPLESSIVO|BF
UPDATE aggr set aggr.beneficio = CAST(inddiv.indicatore AS DECIMAL(12,3))
from  
[C6martPeriodico].[brsvarallaggr] aggr
inner join 
[C6martPeriodico].[brsinddiv] inddiv
on inddiv.rete = aggr.rete and inddiv.cod_fiscale = aggr.codicefiscale+'_BF' 
where aggr.portafoglio = 'COMPLESSIVO|BF'
--aggiorna il beneficio per il COMPLESSIVO|TERZI
UPDATE aggr set aggr.beneficio = CAST(inddiv.indicatore AS DECIMAL(12,3))
from  
[C6martPeriodico].[brsvarallaggr] aggr
inner join 
[C6martPeriodico].[brsinddiv] inddiv
on inddiv.rete = aggr.rete and inddiv.cod_fiscale = aggr.codicefiscale+'_TERZI' 
where aggr.portafoglio = 'COMPLESSIVO|TERZI'
END